Skip to main content
POST
/
v1
/
signatures
/
{signature_id}
/
emails
Add manual recipient emails
curl --request POST \
  --url https://api.scribe-mail.com/v1/signatures/{signature_id}/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.scribe-mail.com/v1/signatures/{signature_id}/emails"

payload = { "email_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email_ids: ['<string>']})
};

fetch('https://api.scribe-mail.com/v1/signatures/{signature_id}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "assign_to_all_future_emails": true,
    "manual_email_ids": [
      "<string>"
    ],
    "integration_entity_ids": [
      "<string>"
    ],
    "conditions": [
      [
        {
          "smart_field_id": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    ]
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"remediation": {
"dashboard_url": "<string>",
"message": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>"
},
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"allowed": [
"<unknown>"
],
"missing": [
"<string>"
]
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

signature_id
string
required

Body

application/json
email_ids
string[]
required

Response

Assigned

data
object
required